using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Windows.Forms;

namespace ForgePC.IFP
{
    public sealed class IFPHashMap
    {
        public static Hashtable H2IFPHash = new Hashtable();
        public static Hashtable H1IFPHash = new Hashtable();
        public static void RemoveIfp(string TagType, int mapnumber)
        {
            try
            {
                IFP.IFPHashMap.H2IFPHash.Remove(TagType);
            }
            catch
            {

            }
        }
        public static IFPIO GetIfp(string TagType, int mapnumber)
        {

            IFPIO tempifp;

            tempifp = (IFPIO)IFPHashMap.H2IFPHash[TagType];
            if (tempifp == null)
            {
                tempifp = new IFPIO();
                //string temps = Application.StartupPath + "\\plugins\\" + TagType.Trim() + ".ifp";
                string temps = Application.StartupPath + "\\Plugins\\" + TagType.Trim() + ".forge";
                temps = temps.Replace("<", "_");
                temps = temps.Replace(">", "_");
                try
                {
                    tempifp.ReadIFP(temps/* + "2"*/);
                }
                catch
                {
                    MessageBox.Show("Error Reading Ifp: " + TagType);
                    // return tempifp;
                }
                IFPHashMap.H2IFPHash.Add(TagType, tempifp);
            }            

            return tempifp;
        }
    }
}
