using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using ForgePC.Map;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class Int : UserControl
    {
        public bool visible;
        public int offset;
        public int mapnumber;

        public Int(Base_Object.Int iint)
        {
            InitializeComponent();

            label1.Text = iint.name;
            textBox1.Text = iint.value.ToString();

            offset = iint.offset;
            mapnumber = iint.mapnumber;
            visible = iint.visible;
        }

        public void Save()
        {
            Maps.map[mapnumber].io.Out.BaseStream.Position = offset;
            Maps.map[mapnumber].io.Out.Write(int.Parse(textBox1.Text));
        }
    }
}
