using System;
using System.Collections.Generic;
using System.Text;

namespace Halo3Map.plugins
{
    public class SizeAttribute : Attribute
    {
        private int size;
        public int Size { get { return size; } }
        public SizeAttribute(int s) { size = s; }
    }

    public class TagAttribute : Attribute
    {
        private string author;
        public string Author { get { return author; } }

        private string tagType;
        public string TagType { get { return tagType; } }

        private double version;
        public double Version { get { return version; } }

        public TagAttribute(string Author, string TagType, double Version)
        {
            author = Author;
            tagType = TagType;
            version = Version;
        }
    }
}
