using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace entity.Forms.Meta_Editor
{
    public partial class ItemsToShow : Form
    {
        public ItemsToShow()
        {
            InitializeComponent();
            this.checkbReflexives.Checked = Meta_Editor.MetaEditor.ShowReflexives;
            this.checkBIdents.Checked = Meta_Editor.MetaEditor.ShowIdents;
            this.checkBSIDS.Checked = Meta_Editor.MetaEditor.ShowSIDs;
            this.checkBFloats.Checked = Meta_Editor.MetaEditor.ShowFloats;
            this.checkBString32s.Checked = Meta_Editor.MetaEditor.ShowString32s;
            this.checkBString256s.Checked = Meta_Editor.MetaEditor.ShowString256s;
            this.checkBUnicodeString64s.Checked = Meta_Editor.MetaEditor.ShowUnicodeString64s;
            this.checkBUnicodeString256s.Checked = Meta_Editor.MetaEditor.ShowUnicodeString256s;
            this.checkBInts.Checked = Meta_Editor.MetaEditor.ShowInts;
            this.checkBUints.Checked = Meta_Editor.MetaEditor.ShowUints;
            this.checkBShorts.Checked = Meta_Editor.MetaEditor.ShowShorts;
            this.checkBUshorts.Checked = Meta_Editor.MetaEditor.ShowUshorts;
            this.checkBBitmask16s.Checked = Meta_Editor.MetaEditor.ShowBitmask16s;
            this.checkBBitmask8s.Checked = Meta_Editor.MetaEditor.ShowBitmask8s;
            this.checkBBitmask32s.Checked = Meta_Editor.MetaEditor.ShowBitmask32s;
            this.checkBEnum8s.Checked = Meta_Editor.MetaEditor.ShowEnum8s;
            this.checkBEnum16s.Checked = Meta_Editor.MetaEditor.ShowEnum16s;
            this.checkBEnum32s.Checked = Meta_Editor.MetaEditor.ShowEnum32s;
            this.checkBBlockIndex8s.Checked = Meta_Editor.MetaEditor.ShowBlockIndex8s;
            this.checkBBlockIndex16s.Checked = Meta_Editor.MetaEditor.ShowBlockIndex16s;
            this.checkBBlockIndex32s.Checked = Meta_Editor.MetaEditor.ShowBlockIndex32s;
            this.checkBBytes.Checked = Meta_Editor.MetaEditor.ShowBytes;
            this.checkBInvisibles.Checked = Meta_Editor.MetaEditor.ShowInvisibles;
            this.checkBUndefined.Checked = Meta_Editor.MetaEditor.ShowUndefineds;
        }

        private void buttCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttOK_Click(object sender, EventArgs e)
        {
            Meta_Editor.MetaEditor.ShowReflexives = this.checkbReflexives.Checked;
            Meta_Editor.MetaEditor.ShowIdents = this.checkBIdents.Checked;
            Meta_Editor.MetaEditor.ShowSIDs = this.checkBSIDS.Checked;
            Meta_Editor.MetaEditor.ShowFloats = this.checkBFloats.Checked;
            Meta_Editor.MetaEditor.ShowString32s = this.checkBString32s.Checked;
            Meta_Editor.MetaEditor.ShowString256s = this.checkBString256s.Checked;
            Meta_Editor.MetaEditor.ShowUnicodeString64s = this.checkBUnicodeString64s.Checked;
            Meta_Editor.MetaEditor.ShowUnicodeString256s = this.checkBUnicodeString256s.Checked;
            Meta_Editor.MetaEditor.ShowInts = this.checkBInts.Checked;
            Meta_Editor.MetaEditor.ShowUints = this.checkBUints.Checked;
            Meta_Editor.MetaEditor.ShowShorts = this.checkBShorts.Checked;
            Meta_Editor.MetaEditor.ShowUshorts = this.checkBUshorts.Checked;
            Meta_Editor.MetaEditor.ShowBitmask16s = this.checkBBitmask16s.Checked;
            Meta_Editor.MetaEditor.ShowBitmask8s = this.checkBBitmask8s.Checked;
            Meta_Editor.MetaEditor.ShowBitmask32s = this.checkBBitmask32s.Checked;
            Meta_Editor.MetaEditor.ShowEnum8s = this.checkBEnum8s.Checked;
            Meta_Editor.MetaEditor.ShowEnum16s = this.checkBEnum16s.Checked;
            Meta_Editor.MetaEditor.ShowEnum32s = this.checkBEnum32s.Checked;
            Meta_Editor.MetaEditor.ShowBlockIndex8s = this.checkBBlockIndex8s.Checked;
            Meta_Editor.MetaEditor.ShowBlockIndex16s = this.checkBBlockIndex16s.Checked;
            Meta_Editor.MetaEditor.ShowBlockIndex32s = this.checkBBlockIndex32s.Checked;
            Meta_Editor.MetaEditor.ShowBytes = this.checkBBytes.Checked;
            Meta_Editor.MetaEditor.ShowInvisibles = this.checkBInvisibles.Checked;
            Meta_Editor.MetaEditor.ShowUndefineds = this.checkBUndefined.Checked;
            this.Close();
        }

        private void buttCheckAll_Click(object sender, EventArgs e)
        {
            this.checkbReflexives.Checked = true;
            this.checkBIdents.Checked = true;
            this.checkBSIDS.Checked = true;
            this.checkBFloats.Checked = true;
            this.checkBString32s.Checked = true;
            this.checkBString256s.Checked = true;
            this.checkBUnicodeString64s.Checked = true;
            this.checkBUnicodeString256s.Checked = true;
            this.checkBInts.Checked = true;
            this.checkBUints.Checked = true;
            this.checkBShorts.Checked = true;
            this.checkBUshorts.Checked = true;
            this.checkBBitmask16s.Checked = true;
            this.checkBBitmask8s.Checked = true;
            this.checkBBitmask32s.Checked = true;
            this.checkBEnum8s.Checked = true;
            this.checkBEnum16s.Checked = true;
            this.checkBEnum32s.Checked = true;
            this.checkBBlockIndex8s.Checked = true;
            this.checkBBlockIndex16s.Checked = true;
            this.checkBBlockIndex32s.Checked = true;
            this.checkBBytes.Checked = true;
            this.checkBInvisibles.Checked = true;
            this.checkBUndefined.Checked = true;
        }

        private void buttUncheckAll_Click(object sender, EventArgs e)
        {
            this.checkbReflexives.Checked = false;
            this.checkBIdents.Checked = false;
            this.checkBSIDS.Checked = false;
            this.checkBFloats.Checked = false;
            this.checkBString32s.Checked = false;
            this.checkBString256s.Checked = false;
            this.checkBUnicodeString64s.Checked = false;
            this.checkBUnicodeString256s.Checked = false;
            this.checkBInts.Checked = false;
            this.checkBUints.Checked = false;
            this.checkBShorts.Checked = false;
            this.checkBUshorts.Checked = false;
            this.checkBBitmask16s.Checked = false;
            this.checkBBitmask8s.Checked = false;
            this.checkBBitmask32s.Checked = false;
            this.checkBEnum8s.Checked = false;
            this.checkBEnum16s.Checked = false;
            this.checkBEnum32s.Checked = false;
            this.checkBBlockIndex8s.Checked = false;
            this.checkBBlockIndex16s.Checked = false;
            this.checkBBlockIndex32s.Checked = false;
            this.checkBBytes.Checked = false;
            this.checkBInvisibles.Checked = false;
            this.checkBUndefined.Checked = false;
        }
    }
}