using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using entity.Forms.Meta_Editor;
using ForgePC.Map;

namespace entity.Forms.Meta_Editor
{    
    public partial class SID : UserControl
    {
        public int LineNumber;
        private int mapIndex;
        public int chunkOffset;
        public int offsetInMap;
        public int sidIndexer;
        const short WM_PAINT = 0x00f;
        private bool AddEvents = true;
        public string EntName = "Error in getting plugin element name";
        private bool isNulledOutReflexive = true;
        List<int> sidIndexerList = new List<int>(0);
        public SID(string iEntName, int map, int iOffsetInChunk,int iLineNumber)
        {
            this.LineNumber = iLineNumber;
            this.chunkOffset = iOffsetInChunk;
            mapIndex = map;
            this.EntName = iEntName;
            InitializeComponent();
            this.Size = this.PreferredSize;
            this.Dock = DockStyle.Top;
            this.Controls[0].Text = EntName;
            this.AutoSize = false;
        }
        private void SIDLoader_DropDown(object sender, EventArgs e)
        {
            //string tempSidString = ((System.Windows.Forms.ComboBox)sender).Text;
            //((System.Windows.Forms.ComboBox)sender).Items.Clear();
            //this.sidIndexerList.Clear();
            //((System.Windows.Forms.ComboBox)sender).Items.Add("");
            //this.sidIndexerList.Add(0);
            //for (int counter = 0; counter < Maps.map[mapIndex].Strings.Name.Length; counter++)
            //{
            //    if (Maps.map[mapIndex].Strings.Name[counter].Contains(tempSidString) == true)
            //    {
            //        ((System.Windows.Forms.ComboBox)sender).Items.Add(Maps.map[mapIndex].Strings.Name[counter]);
            //        string xe = Maps.map[mapIndex].Strings.Name[counter];
            //        this.sidIndexerList.Add(counter);
            //        if (counter == sidIndexer)
            //            ((System.Windows.Forms.ComboBox)sender).SelectedIndex = this.sidIndexerList.Count - 1;
            //    }
            //}
        }       
 
        private void SIDLoader_DropDownClose(object sender, EventArgs e)
        {
            try
            {
                sidIndexer = sidIndexerList[((System.Windows.Forms.ComboBox)sender).SelectedIndex];
            }
            catch
            {
                sidIndexer = 0;
            }
        }

        void comboBox1_TextChanged(object sender, System.EventArgs e)
        {
        }
        public void Populate(int iOffset)
        {
            //this.isNulledOutReflexive = false;
            //bool openedMap = false;
            //if (Maps.map[mapIndex].isOpen == false)
            //{
            //    Maps.map[mapIndex].Open(H3Dev.IO.EndianType.BigEndian, H3Dev.Map.H3Map.MapType.Internal);
            //    openedMap = true;
            //}
            //Maps.map[mapIndex].io.In.BaseStream.Position = iOffset + this.chunkOffset;
            //this.sidIndexer = Maps.map[mapIndex].io.In.ReadInt16();
            //byte tempbyte2 = Maps.map[mapIndex].io.In.ReadByte();
            //byte tempbyte = Maps.map[mapIndex].io.In.ReadByte();
            //try
            //{
            //    ((System.Windows.Forms.ComboBox)this.Controls[1]).Text = Maps.map[mapIndex].Strings.Name[this.sidIndexer];
            //}
            //catch
            //{
            //    ((System.Windows.Forms.ComboBox)this.Controls[1]).Text = "error reading sid";
            //}
            //this.offsetInMap = iOffset + this.chunkOffset;
            //if (openedMap == true)
            //    Maps.map[mapIndex].Close();
            //if (AddEvents == true)
            //{
            //    ((System.Windows.Forms.ComboBox)this.Controls[1]).TextChanged += new System.EventHandler(this.comboBox1_TextChanged);
            //    AddEvents = false;
            //}
        }
        public void Save()
        {
            //if (this.isNulledOutReflexive == true)
            //    return;
            //bool openedMap = false;
            //if (Maps.map[mapIndex].isOpen == false)
            //{
            //    Maps.map[mapIndex].Open(H3Dev.IO.EndianType.BigEndian, H3Dev.Map.H3Map.MapType.Internal);
            //    openedMap = true;
            //}
            //try
            //{
            //    Maps.map[mapIndex].io.Out.BaseStream.Position = this.offsetInMap;
            //    Maps.map[mapIndex].io.Out.Write((short)this.sidIndexer);
            //    Maps.map[mapIndex].io.Out.BaseStream.Position += 1;
            //    Maps.map[mapIndex].io.Out.Write((byte)Maps.map[mapIndex].Strings.Length[this.sidIndexer]);
            //}
            //catch
            //{
            //    MessageBox.Show("Something is wrong with this Sid "+this.EntName+" Offset "+this.chunkOffset.ToString());
            //}
            //if (openedMap == true)
            //    Maps.map[mapIndex].Close();
        }
        //public void Poke()
        //{
        //    uint Address = (uint)(this.offsetInMap + Maps.map[mapIndex].SelectedMeta.Magic);
        //    try
        //    {
        //        uint StringID = (uint)(((ushort)this.sidIndexer) | ((byte)Maps.map[mapIndex].Strings.Length[this.sidIndexer] << 24));
        //        Feline_rawr.RTH_Imports.Poke(Address, StringID, 32);
        //    }
        //    catch
        //    {
        //        MessageBox.Show("Net: Something is wrong with this Sid " + this.EntName + " Offset " + this.chunkOffset.ToString());
        //    }

        //}
        public void SetFocus(int LineToCheck)
        {
            if (this.LineNumber == LineToCheck)
                this.Focus();
        }

    }
}
