using System;
using System.Collections.Generic;
using System.Text;
using Halo3Map.Data;

namespace Halo3Map.Tags.Layouts
{
    [Tag("shade45", "zone", 0.1)]
    public class zone : H3Tag
    {
        [Size(88)]
        public byte[] unused;

        public H3Reflexive<RawTable> rawTable;
        [Size(64)]
        public class RawTable : Chunk
        {
            public TagReference tag;
            public int Raw_Ident;
            public int Unknown20;
            public int Unknown24;
            public int Unknown28;
            public int Unknown32;
            public int Unknown36;

            public H3Reflexive<Unknown40> unknown40;
            [Size(8)]
            public class Unknown40 : Chunk
            {
                public int Unknown0;
                public int Unknown4;
            }

            public H3Reflexive<Unknown52> unknown52;
            [Size(8)]
            public class Unknown52 : Chunk
            {
                public int Unknown0;
                public int Unknown4;
            }
        }

        [Size(364)]
        public byte[] unused2;

        public H3Reflexive<Unknown464> unknown464;
        [Size(4)]
        public class Unknown464 : Chunk
        {
            public int Unknown0;
        }
    }
}
