using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class Bitmask : UserControl
    {
        public bool visible;
        private Base_Object.Bitmask b;
        private bool[] Bits;

        public Bitmask(Base_Object.Bitmask bb)
        {
            InitializeComponent();
            b = bb;

            this.Bits = new bool[bb.bitcount];
            groupBox1.Text = bb.name;

            visible = bb.visible;
        }

        #region Load Controls
        private void BitsToBool()
        {
            uint tempANDInt = 1;
            uint tempvalue = Convert.ToUInt32(b.value);
            for (int counter = 0; counter < b.bitcount; counter++)
            {
                Bits[counter] = (tempANDInt & tempvalue) == tempANDInt ? true : false;
                tempANDInt <<= 1;
            }
        }
        #endregion
        #region Events
        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            //make the bool array match the check boxes
            this.Bits[Convert.ToInt32(((CheckBox)sender).Tag)] = ((CheckBox)sender).Checked;
        }
        #endregion
    }
}
