using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using ForgePC.Map;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class Byte : UserControl
    {
        public bool visible;
        public int offset;
        public int mapnumber;

        public Byte(Base_Object.Byte bbyte)
        {
            InitializeComponent();
            label1.Text = bbyte.name;
            textBox1.Text = bbyte.value.ToString();

            offset = bbyte.offset;
            mapnumber = bbyte.mapnumber;
            visible = bbyte.visible;
        }

        public void Save()
        {
            Maps.map[mapnumber].io.Out.BaseStream.Position = offset;
            Maps.map[mapnumber].io.Out.Write(byte.Parse(textBox1.Text));
        }
    }
}
