using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using ForgePC.Map;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class Enum : UserControl
    {
        public bool visible;
        public int offset;
        public int mapnumber;

        public Enum(Base_Object.Enum eenum)
        {
            InitializeComponent();
            label1.Text = eenum.name;
            comboBox1.Items.Add(eenum.options);
            if (eenum.value <= comboBox1.Items.Count)
                comboBox1.SelectedIndex = eenum.value;
            else
                comboBox1.Items.Add(eenum.value + "_Unknown");

            offset = eenum.offset;
            mapnumber = eenum.mapnumber;
            visible = eenum.visible;
        }

        public void Save()
        {
            Maps.map[mapnumber].io.Out.BaseStream.Position = offset;
            Maps.map[mapnumber].io.Out.Write(int.Parse(comboBox1.SelectedIndex.ToString()));
        }
    }
}
