using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using ForgePC.Map;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class Float : UserControl
    {
        public bool visible;
        public int offset;
        public int mapnumber;

        public Float(Base_Object.Float ffloat)
        {
            InitializeComponent();
            label1.Text = ffloat.name;
            textBox1.Text = ffloat.value.ToString();

            offset = ffloat.offset;
            mapnumber = ffloat.mapnumber;
            visible = ffloat.visible;
        }

        public void Save()
        {
            Maps.map[mapnumber].io.Out.BaseStream.Position = offset;
            Maps.map[mapnumber].io.Out.Write(float.Parse(textBox1.Text));
        }
    }
}
