using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using ForgePC.Map;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class Short : UserControl
    {
        public bool visible;
        public int offset;
        public int mapnumber;

        public Short(Base_Object.Short sshort)
        {
            InitializeComponent();
            label1.Text = sshort.name;
            textBox1.Text = sshort.value.ToString();

            offset = sshort.offset;
            mapnumber = sshort.mapnumber;
            visible = sshort.visible;
        }

        public void Save()
        {
            Maps.map[mapnumber].io.Out.BaseStream.Position = offset;
            Maps.map[mapnumber].io.Out.Write(short.Parse(textBox1.Text));
        }
    }
}
