using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using ForgePC.Map;

namespace Halo3Map.Meta_Editor.Controls
{
    public partial class String : UserControl
    {
        public bool visible;
        public int offset;
        public int mapnumber;

        public String(Base_Object.String sstring)
        {
            InitializeComponent();
            label1.Text = sstring.name;
            textBox1.Text = sstring.value;

            textBox1.MaxLength = sstring.value.Length;

            offset = sstring.offset;
            mapnumber = sstring.mapnumber;
            visible = sstring.visible;
        }

        public void Save()
        {
            Maps.map[mapnumber].io.Out.BaseStream.Position = offset;
            Maps.map[mapnumber].io.Out.Write(textBox1.Text.ToCharArray());
        }
    }
}
