using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace MetaEditor.Controls
{
    public partial class Short : UserControl
    {
        public Type type;

        public Short(ushort value, string name)
        {
            InitializeComponent();
            label2.Text = name;
            textBox1.Text = value.ToString();
            type = typeof(ushort);
        }

        public Short(short value, string name)
        {
            InitializeComponent();
            label2.Text = name;
            textBox1.Text = value.ToString();
            type = typeof(short);
        }

        public void Reload(ushort value)
        {
            textBox1.Text = value.ToString();
        }

        public void Reload(short value)
        {
            textBox1.Text = value.ToString();
        }

        public string ReturnName()
        {
            return label2.Text;
        }

        public short ReturnValue()
        {
            return short.Parse(textBox1.Text);
        }
    }
}
